2017-10-15  Hans-Bernhard Broeker  <broeker@users.sourceforge.net>

	* src/Makefile.in: Regenerated.

	* src/Makefile.am (BUILT_SOURCES, AM_YFLAGS): Have bison generate
	an egrep.h file, and tell automake to handle it.

	* everywhere: Remove $Id$ tag lines and similar, in preparation to a move
	away from CVS to git.

2015-04-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in: Add check to enable C system extensions (like
	_GNU_SOURCE), if available.

	* config.h.in, configure: Regenerated.

	* contrib/cctree.txt: Format change: file had DOS line endings for
	some reason.

2015-03-31  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/version.h (FIXVERSION): Update version number.

	* configure.in: Version upped to 15.8b.

	* aclocal.m4: Regenerated.

	* configure: Regenerated.

2014-11-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/egrep.y (yylex): Collapse some cases of the switch.  Fix
	fall-through that got broken some time before 15.8; similar to
	patch #87.
	(read_next_chunk): Refactored repeated code sequence into separate
	function.
	(egrep): Use new function.  Replace some gotos by the code they
	jump to.

	* src/exec.c (join): Initialize local variable.

	* src/main.c (error_usage): Refactored code to output error.
	(main): Use new function instead of goto.

	* src/invlib.c (open_for_reading, open_file_with_flipped_name)
	(open_file_with_possibly_flipped_name): Refactored code dealing
	with naming of inverted index files (.in.out <--> .out.in) into
	individual functions.
	(invopen): Use refactored functions.  Reduce use of gotos.

	* *.c, *.h: Code Cleanups: Unsigned integer suffixes. Allocate
	based on size of pointed-to object, rather than having to spell
	out the data type.  Replace clumsy &array[index] by cleaner
	array+index.  Replace several unspecified uses of unspecified
	"unsigned" by unsigned int or size_t.

	* src/alloc.c (mymalloc, mycalloc, myrealloc): Drop pointless cast
	from size_t to unsigned.

	* configure.in: Autoupdated to autoconf-2.69.  Removed outdated
	AC_TYPE_SIGNAL check.

	* aclocal.m4, configure, config.h.in, Makefile.in,
	contrib/Makefile.in, doc/Makefile.in, src/Makefile.in:
	Regenerated by automake-1.14, autoconf-2.69.

	* ylwrap, mkinstalldirs, missing, install-sh, depcomp, config.sub,
	config.guess, compile: Replaced by current versions from auto
	tools.

	* contrib/xcscope/cscope-indexer: Automatically wrap pathnames in
	quotes if they contain blanks or tabs.

2014-11-16  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/fscanner.l (skipcomment_input, comment, insidestring_input)
	(string_terminator, YY_INPUT): Remove hand-coded comment skipping
	function, use flex-generated one instead.

2014-04-15  Neil Horman <nhorman@tuxdriver.com>

	* src/find.c (putpostingref): Ensure that initialization of
	function name (sf bz 200).

2013-09-25  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* doc/cscope.1: "Find assignments to" search was missing from the
	man page.  Thanks to Roberto E. Vargas Caballero for noticing
	this.

2013-06-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in: Check for possible need of large file support.

	* config.h.in, configure, aclocal.m4, Makefile.in,
	contrib/Makefil.in, doc/Makefile.in, src/Makefile.in: Regenerated
	using autoconf 2.69.

2013-04-09  Neil Horman <nhorman@tuxdriver.com>

	* contrib/xcscope/xcscope.el: Add find assignments search to
	xcscope.el

2012-12-29  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/constants.h: Accept patch #2912267 to fix assumption about
	terminfo on OSX.

2012-11-20  Neil Horman  <nhorman@tuxdriver.com>

	Add option to delete cscope db's on exit

	* src/main.c: Added -X option to cmdline parser

	* doc/cscope.1: Updated man page to add new option above

2012-08-04  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Make an update release 15.8a

	* configure: Regenerated.

	* contrib/Makefile.in: Regenerated.

	* doc/Makefile.in: Regenerated.

	* Makefile.in: Regenerated.

	* doc/Makefile.am (EXTRA_DIST): xcscope.1 was missing from the
	distribution.

	* Makefile.am (EXTRA_DIST): Include INSTALL.gnu
	(dist-hook): Directories without Makefile.am in them cause
	unwanted CVS files to be included.  Remove them from the tarball.

	* contrib/Makefile.am (EXTRA_DIST): cctree was missing from the
	distribution.

	* configure.in: Update version to 15.8a

	* src/version.h (FIXVERSION): Update to 8a.

2012-08-02  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/version.h (FIXVERSION): Update missed.

	* src/fscanner.l: # with nothing after it would throw off the line
	count. (Bug #3553579)

2012-07-10 Neil Horman <nhorman@tuxdriver.com>

	* src/invlib.c: Corrected some sizing of amtused in invlib.c.
	sizeof(long) is dead reckoned to be 4 bytes, which is wrong on
	x86_64.  Reported by Paul Bolle

2012-06-15  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/gscope.c: Added placeholder file, needed for distcheck.

	* configure.in: Added AM_PROC_CC_C_O, needed for upgrade of
	automake.

	* compile, config.guess, config.sub, install-sh, missing, depcomp,
	ylwrap, INSTALL.gnu, mkinstalldirs: Updated to automake 1.11.3,
	autoconf 2.68.

	* Makefile.in, aclocal.m4, src/Makefile.in, contrib/Makefile.in,
	doc/Makefile.in: Regenerated by automake 1.11.1.

	* configure, config.h.in: Regenerated by autoconf 2.68.

2012-06-15  Neil Horman  <nhorman@tuxdriver.com>
	* configure.in: Update version in configure.in in prep for new release

2012-06-15  Neil Horman  <nhorman@tuxdriver.com>
	* src/find.c: Add check to make sure that second '=' on assignment
	search isn't part of a digraph

2012-05-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/command.c (command): Allow usage of function keys ctrl-f and
	ctrl-b even from result pane.

	* src/display.c (display): More informative display of position in
	a multi-screenful result set.

2012-04-07  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/display.c (fields): Move "samuel" special function back to
	end of list, where it won't show on display.  Fix incorrect
	on-screen description of findassign function.

	* src/constants.h (NUMLEN): Increase from 5 to 10 to be able to
	handle source files with freaky large numbers of lines.
	(FIELDS): Reduce by one to avoid showing "samuel" special mode,
	which is quite unusable to the general public.

	* src/command.c (countrefs): There was still one scanf not taking
	into account limited buffer lengths.

	* src/find.c (check_for_assignment): Search for assignment failed
	to recognize >>= and <<=, incorrectly recognized ~=, and was
	implemented somewhat clumsily.

2012-03-12  Neil Horman	<nhorman@tuxdriver.com>

	* src/invlib.c: Modified posting construction code to properly limit
	the fileindex value to avoid overflow.

2012-03-05  Neil Horman <nhorman@tuxdriver.com>

	* global.h, constants.h, find.c, display.c: Add search for symbol
	assignment feature.  Its been soaking in Fedora for years now, and I
	think it gets enough use that its time we put it upstream.

2011-07-04  Neil Horman <nhorman@tuxdriver.com>

	* configure.in, config.h.in, configure, src/main.c: Modified autoconf
	files to support checking for getopt_long function and changed
	_GNU_SOURCE macro test to HAVE_GETOPT_LONG test.  This should support
	using getopt_long on all platforms automatically rather than have the
	admin define it at build time.

2011-07-04  Neil Horman <nhorman@tuxdriver.com>

	* src/main.c: Remove unneeded if statement that checked for proper
	use of s, f, i and p options (sf bug 2912347).

2011-06-29  Neil Horman <nhorman@tuxdriver.com>

	* src/fscanner.l, src/scanner.l: Add NULL check to strpbrk call to
	avoid cscope crashes when reading garbage files.

2011-06-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* Makefile.in, aclocal.m4, config.h.in, configure,
	contrib/Makefile.in, doc/Makefile.in, src/Makefile.in: Regenerated
	by newer autoconf.

	* src/build.c (build): Remove pointless write.
	(copydata, copyinverted): Avoid potential NULL pointer problem.

	* src/find.c (findcalling): Remove pointless write.

	* src/main.c (main): Remove pointless write.
	(main): Documented default include directory $INCDIR wasn't
	actually considered.

	* src/invlib.c (invmake): Remove pointless code.
	(invnewterm): Restrict variable to the only block it's used in.
	(boolfile): Remove unused local.

	* src/main.c (main): Handle Ctrl-Z manually, as curses raw mode
	doesn't do that by itself.

	* src/command.c (changestring): Likewise.

2011-05-26 Neil Horman <nhorman@tuxdriver.com>

	* contrib/cctree.vim: Added vi plugin to read cscope db's
	* contrib/cctree.txt: Added docs for cctree.vim

2010-09-30  Neil Horman <nhorman@tuxdriver.com>

	* src/main.c: Ignore SIGPIPE in linemode as well to allow
	for proper file cleanup

2010-03-04  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/dir.c (includedir, incfile): Cast size_t value to integer
	for use as a *printf() precision argument.

	* src/fscanner.l, src/scanner.l: Tolerate C++ :: scope operator
	inside argument lists, too.

2009-12-21  Neil Horman <nhorman@tuxdriver.com>

	* src/main.c: Added some more missing short options to parse_options

2009-12-14  Neil Horman <nhorman@tuxdriver.com>

	* src/main.c: Added missing line mode operation options to
	parse_arguments

2009-12-14  Neil Horman <nhorman@tuxdriver.com>

	* src/main.c: Fixed adjustments to argc/argv in parse_option to account
	for the possibility that someone might specify multiple options in
	one argument (-ab vs. -a -b)

2009-12-09  Neil Horman <nhorman@tuxdriver.com>

	* src/main.c: Added a new parse_options implementation to make option
	parsing more sane and safe for systems which support getopt_long.  Also
	added a check to make sure that single character options didn't specify 
	trailing data (sf bug 2911623)

	* AUTHORS: Fixed my email address

2009-08-28  Neil Horman <nhorman@tuxdriver.com>

	* src/scanner.h: Added a LEXERR token to be returned if a lexer error
	occurs

	* src/crossref.c: Check for LEXERR token, and abort processing file if
	lexer error occurs

	* src/fcanner.l: check the statue of my_yytext on = and : symbols.  If
	its NULL consider that a lexer error.  This can occur if input files are
	provided that contain only a '=' or ':' symbol.  Without the ability to
	detect and return a lexer error, we get a segfault.

2009-05-06  Neil Horman <nhorman@tuxdriver.com>

	* src/main.c: Fixed string length checks to avoid overflow

2009-04-30  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/version.h (FILEVERSION, FIXVERSION): Version number changed
	to 15.7a.

	* configure.in: Version number changed to 15.7a.

	* configure (all): Regenerated.

2009-04-10  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/snprintf.c: Replacement implementation for missing snprintf
	and vsprintf, from www.jhweiss.de.
	
	* acinclude: New macros to optionally activate a replacement for
	missing snprintf and vsprintf, from www.jhweiss.de.

	* configure.in: Call new macros for snprintf and vsprintf.  Drop
	AC_FUNC_LSTAT in turn, since it would have required a replacement
	implementation for lstat().

	* src/Makefile.am (cscope_LDADD): Added LIBOBJS to automatically
	include snprintf.o in the build if and only if needed.

	* configure, config.h.in, aclocal.m4, Makefile.in,
	contrib/Makefile.in, doc/Makefile.in, src/Makefile.in:
	Regenerated.

	* src/global.h: Add prototypes for replacement snprintf and
	vsnprintf.
	
	* src/*.c: Replace all calls of sprintf by snprintf to avoid
	possible buffer overflows.

2008-06-30  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* aclocal.m4, configure, config.h.in, Makefile.in,
	src/Makefile.in, doc/Makefile.in, contrib/Makefile.in: Regenerated
	by recent autotools.

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	mkinstalldirs, ylwrap: Updated to version provided by recent
	autotools.

	* INSTALL.gnu: GNU installation instructions.

	* src/global.h (tempstring): Fix mismatch of declaration with
	definition.

2008-04-11  Neil Horman            <nhorman@tuxdriver.com>
	* src/main.c, src/exec.c : configure ncurses to operate in raw
	mode so that ctrl-c (toggle case sensitivity) isn't swallowed by
	the terminal driver

2008-03-12  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/build.c (samelist): Previous fix broke handling of blanks in
	directory names.
	(build): Apply the same fix to other occurence of the same code.

2008-03-10  Neil Horman		   <nhorman@tuxdriver.com>

	* src/build.c: Fix Samelist to properly absorb newlines so that
	inverted indicies aren't always rebuilt

2008-02-14  Neil Horman		   <nhorman@tuxdriver.com>

	* src/dir.c: Fix up issrcfile to identify hpp/hxx files as
	standard c++ source files

	* src/main.c: Add myexit as a handler for SIGTERM, to clean up
	temp files on TERM

2007-12-03  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* doc/cscope.1: Grammar corrections [SF patch #1843711] and troff
	syntax fixes [from ESR].

2007-03-10  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/scanner.l (comment_input): Translate EOF to LEXEOF in this
	case, too.
	(input, noncommentinput): Spell out LEXEOF instead of a magic
	number 0.

2007-02-09  Neil Horman		   <nhorman@tuxdriver.com>

	* doc/xcscope.1: Added man page for xcscope utility in contrib

2007-01-07  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/fscanner.l: Avoid a -Wunused warning by disabling the
	yy_topstate() function.

	* README: Add a warning about the intended user audience not
	including superusers or anonymous ones.

	* contrib/webcscope/cscope: Find perl in /usr/bin, which should be
	more likely as its installation position these days.  Put a big
	red reminder to the top of the generated HTML page warning about
	the security issues involved with webcscope.  Thanks to V-Li and
	the Gentoo folks for the patch.
	
2006-10-23  Neil Horman		   <nhorman@tuxdriver.com>

	* src/main.c: Update sigwinch_handler to only register if linemode
	is not specified (SF bug 1574354)

2006-10-15  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/dir.c (accessible_file): New function to test for file
	readability more strictly than just access().
	(inviewpath): Use it to avoid unreadable files (directories, in
	particular) getting into the srcfilelist, and thus hopefully fix
	SF bug #1173768.
	
2006-10-10  Neil Horman            <nhorman@tuxdriver.com>

	* src/main.c: Updated sigwinch_handler to not run in the event
	that curses is not running to avoid crash (SF bug 1574354)

2006-09-30  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/fscanner.l (wsnl): Expand set of allowed characters to make
	scanner more tolerant of non-Unix linebreaks (should fix SF Bug
	#1563459)

	* src/Makefile.am (CLEANFILES, dist-hook): Commented out, to
	reduce number of user reports from people without lex.

	* configure.in: Change from AC_PROG_LEX to AM_PROG_LEX.

	* src/Makefile.am (cscope_SOURCES): Added alloc.h.  Reindented.

	* src/invlib.c (invnewterm): Correct loop test to account for
	maxback being unsigned (should fix SF bug #1559495).

	* src/Makefile.am (AM_CPPFLAGS): Renamed from INCLUDES, to quench
	an automake warning.

	* configure.in: Modernized via autoupdate.  Fixed several
	'underquoted' warnings from aclocal.  Use a more telling source
	file name in AC_CONFIG_SRCDIR.

	* configure, aclocal.m4, Makefile.in, contrib/Makefile.in,
	doc/Makefile.in, src/Makefile.in: Regenerated.

2006-08-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/find.c (findsymbol): Missed one place where s_len had to be
	initialized.
				  
	* src/main.c (tempstring): Parametrize length by new macro
	TEMPSTRING_LEN.
	(main): Check against too long -f file name.
	(main): Put explicit %s field widths into fscanf() call.
	(main): Replace some fscanf() calls by fgets().

	* src/input.c (shellpath): Limit size of strings copied from
	environment.

	* src/edit.c (editref, editall): Put explicit %s field widths into
	fscanf() calls.

	* src/display.c (display): Put explicit %s field widths into
	fscanf() call.

	* src/dir.c (makefilelist): Put explicit %s field width into
	sscanf() call.

	* src/constants.h (TEMPSTRING_LEN): New macro, needed to
	parametrize a fscanf() call.
	(STRINGIZE): New macro used to build the following.
	(PATLEN_STR, PATHLEN_STR, NUMLEN_STR, TEMPSTRING_LEN_STR): Buffer
	lengths (minus 1) expressed as a string literal, to be used in as
	field widths in {f,s}scanf() calls.

	* src/command.c (changestring): Put explicit %s field widths into
	fscanf() call.

	* src/build.c (samelist, build): fgets() replaces fscanf().
	(build): Put explicit %s field widths into fscanf() call.

2006-07-23  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/global.h: Rename putstring() to fetch_string_from_dbase(),
	add a parameter.

	* src/find.c: Add #include <assert.h>
	(fetch_string_from_dbase): Renamed from misleading name
	putstring().  Add new parameter, and use it to avoid overflowing
	the output buffer.
	(findsymbol): New local: s_len.  Rename calls to putstring(). Add
	new argument, some of them from s_len.
	(finddef, findallfcns, findcalling, findinclude, match,
	findcalledby, putpostingref): Rename calls to putstring(). Add new
	argument.

	* src/constants.h (MSGLEN): Add safety parentheses.

	* src/library.h: Remove prototypes of alloc.c functions.

	* src/alloc.h: New file.  Moved prototypes of alloc.c functions in
	here, out of library.h.

	* src/alloc.c: Include new header file from here.
	(my_strdup): Changed name from misleading stralloc().  Remove
	incorrect cast.

	* src/build.c: Add #include "alloc.h".
	(fetch_include_from_dbase): Renamed from misleading name
	putinclude().  Add length of target string as an argument.
	(setup_build_filenames): Rename calls of stralloc().
	(getoldfile, copyinverted): Rename calls of putstring(). Add new
	argument.
	(copydata, coypinverted): Rename calls of putinclude().  Add new
	argument.

	* src/vpinit.c: Add #include "alloc.h"
	(vpinit): Rename calls of stralloc().

	* src/main.c: Add #include "alloc.h".
	(main): Rename calls of stralloc().

	* src/history.c: Add #include "alloc.h".
	(addcmd): Rename call of stralloc().

	* src/fscanner.l: Add #include "alloc.h".

	* src/display.c: Add #include "alloc.h".

	* src/dir.c: Add #include "alloc.h".  Move project includes above
	system headers.
	(sourcedir, addsrcdir, includedir, addincdir, addsrcfile): Rename
	calls to stralloc().

	* src/crossref.c: Add #include "alloc.h"

	* src/command.c: Add #include "alloc.h".

2006-05-06  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/fscanner.l: Accept numeric literals inside fcn definitions
	and calls.

2006-04-21  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	Make source clean under -Wsign-compare.
	
	* src/main.c (fileargc): Make counter unsigned.
	(main): Make local counter unsigned.
	(main): Fixed two sprintf() excess arguments.

	* src/lookup.c (initsymtab): Make local counters unsigned.

	* src/invlib.c (LINEMAX): Removed.
	(invmake): Change length of local variable "line" to TERMMAX.
	(numpost, numlogblk, amtused, nextpost, lastinblk, numinvitems):
	Make counters unsigned.
	(invnewterm): Make local counters unsigned.

	* src/input.c (mygetline): Make local counters unsigned.

	* src/find.c (findregexp, findfile): Make local counters unsigned.

	* src/egrep.y (line, left, right, parent): Make unsigned.
	(enter, cclenter): Return unsigned.
	(follow): Make argument unsigned.
	(cclenter, cfoll, cgotofn, member, add, follow): Make local
	counters unsigned.
	(cgotofn, member): Cast char to unsigned char, not unsigned int,
	for use as an index.

	* src/display.c (disprefs, mdisprefs, nextline, topline,
	totallines): Make unsigned.
	(search): Removed unused locals.
	(seekline): Make argument unsigned.

	* src/dir.c (nincdirs, nsrcdirs, nsrcfiles, msrcfiles, mincdirs,
	msrcdirs, nvpsrcdirs): Make unsigned long.
	(sourcedir, includedir, makefilelist, incfile, inviewpath): Make
	local counters unsigned.

	* src/crossref.c (symbols, msymbols): Make unsigned long.
	(struct symbol): Make elements first, last, length and fcn_level
	unsigned.
	(crossref, putcrossref): Make local counters unsigned.

	* src/command.c (curdispline): Make unsigned.
	(mark): Make argument and local counter unsigned.
	(command): Make KEY_LL conditional on KEY_LL, not KEY_HOME.
	(changestring): Made local counter unsigned.

	* src/build.c (build): Change several local ints to unsigned
	longs.

	* src/global.h: Updated lots of declarations to match the above.

	* src/alloc.c (mymalloc, mycalloc, myrealloc): Make size arguments
	size_t. Remove pointless casts in several of their callers.

	* src/library.h (mymalloc, mycalloc, myrealloc): Updated
	prototoypes.

2006-04-20  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/input.c (askforreturn): If curses is handling the display,
	redraw the screen before returning, to keep error messages from
	permanently scrambling the display.

	* configure.in: Add test for <io.h>.

	* configure, config.h.in: Regenerated.
	
	* src/mypopen.c [HAVE_IO_H]: #include <io.h> it, for the setmode()
	declaration.

2006-04-19  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	General change: indentation width of touched areas changed to 4
	spaces, open braces not on lines of their own, single-line "else
	if", get rid of (void) casts of unused function return values.

	* src/global.h (select_large): Removed declaration.

	* src/main.c (select_large, main): Removed long unused global.

	* src/dir.c (scan_dir): Get rid of d_ino check --- this field is
	not reliably present in struct dirent, and doesn't achieve enough
	to be worth autoconf-ing around.  Works around problems compiling on
	Cygwin release 1.5.19.

	* Makefile.in, aclocal.m4, configure, contrib/Makefile.in,
	doc/Makefile.in, src/Makefile.in: Regenerated with current auto
	tools (autoconf-2.59, automake 1.9.6).

2006-02-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/vpinit.c (vpinit): Fix handling of slightly malformed VPATH
	environment variable contents.

2005-11-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/dir.c (issrcfile): Finally added auto-searching for
	three-letter C++ file extensions *.tcc, *.cpp, *.cxx.  Test all
	matches to be regular files, not just those with two- and
	three-character extensions.

	* src/invlib.c: Some cleanup.  Replace 0 third argument to fseek
	by proper SEEK_SET.  Got rid of (void) result casts and some
	function argument casts.
	(invmake): Fix one sizeof(long)==4 assumption.

2005-08-16  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/main.c: Uncluttered by removing nitpicky (void) casts.
	(longusage): Reworked for source legibility even on 80-column
	displays.
	(main): If in verbose linemode, print number of references found,
	first off.  Patch from Elad Lahav, for Kscope

2005-07-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/build.c (invname_buf, invpost_buf, reffile_buf): Make
	modifiable copies of the default file names.
	(invname, invpost, reffile): Initialize pointers to modifiable
	copies, rather than to string literals.

	* packages/MSDOS/djmake.bat: Adapt to modern position of ylwrap
	script.

	* src/command.c (command) [KEY_RESIZE]: Protect by
	!defined(__DJGPP__).  That platform doesn't have sigaction() and
	associated machinery, nor does it really support terminal size
	changes to begin with.

	* src/main.c (sigwinch_handler): Likewise.
	(main): Likewise.

2005-04-29  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/command.c (command): Additional hotkey mapping of Ctrl-A to
	same function as Ctrl-Y, like AT&T cscope, to evade Ctrl-Y
	occupied as the DSUSP signal key on BSD'ish platforms.

	* src/help.c (help): Document additonal hotkey ^A.  Mention
	possible unavailability of some Ctrl keys because of terminal
	settings.

2005-03-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/input.c (getline): Removed.  Was just a minimally simplified
	copy of mygetline() anyway, and it threatened to collide with a
	like-named routine in libc.
	
	* src/global.h (getline): Removed prototype.

 	* src/command.c (command): Changed all calls of getline() to
	mygetline() with an empty string as the first argument.

	* src/egrep.y (memset): Changed #if condition around fallback
	implementation to match that of the prototype in global.h.  Should
	fix SF bug #1163104 (build failure on FreeBSD).

2005-02-16  Neil Horman  <nhorman@gmail.com>

	* src/command.c (command): Added ifdef KEY_RESIZE around
	KEY_RESIZE case in switch statement to allow curses
	libraries which don't support resize events to build

	* src/main.c (main): Added ifdef KEY_RESIZE around 
	SIGWINCH handler and signal registration logic to
	remove resize code from cscope when building with
	curses libraries that don't support resize events

2005-02-04  Neil Horman  <nhorman@gmail.com>

	* src/command.c (command): Added KEY_RESIZE event case to 
	command switch to handle window re-drawing when a resize 
	event was received.

	* src/input.c (mygetch): Added error checking of return code
	to restart call to getch in the event it returned early due
	to a signal being delivered.

	* src/main.c (main): Registered a signal handler for the 
	SIGWINCH handler which is delivered when a terminal is 
	resized.  Handler pushes a KEY_RESIZE event onto the head 
	of the command input queue.

2005-02-01  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/build.c (build): Keep interactive mode on, even if on a
	terminal, if verbose mode (-v) was turned on.

2005-01-31  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/scanner.h: Declare yytext signed on AIX (without stating a
	version number, for now).

2005-01-30  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/mypopen.c (mypopen): Make closing argument to execlp() a
	manifest null pointer, not just a zero.

2004-12-08  Neil Horman  <nhorman@gmail.com>
	
	* src/dir.c: Fix to dissallow unreadable files from 
	srcfiles list (sourceforge bug number 1040690)

2004-12-06  Neil Horman  <nhorman@gmail.com>
	
	* src/main.c: Fix for temp file security bug (sourceforge 
	bug number 1062807 / CAN-2004-0970)

2004-11-22  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* doc/cscope.1: Make ESR happy: change man page summary section to
	avoid [0-9] syntax.

2004-10-27  Hans-Bernhard Broeker  <broeker@accip02.physik.rwth-aachen.de>

	* src/display.c (search): Replace duplicated code by a call to
	countrefs().  Duplicate lacked adjustment of column widths in case
	of very long function/file names.  Thanks to Darlene Wong for
	spotting this.

	* src/global.h (countrefs): Prototype added.

	* src/command.c (countrefs): Made globally available.

2004-06-23  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/dir.c (makefilelist): Fix broken movement of point_in_line
	when parsing quoted names.  Simplify structure by moving default
	handling upward.

2004-06-21  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* contrib/ocs (SYSDIR): Only set to /usr/local/lib/cs if not
	already set in outside environment.  Check that $(SYSDIR) exists
	before proceeding.  From SF patch #976788 by Neil Horman.

2004-04-30  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/vpinit.c (vpinit): Renamed argument currentdir to
	current_dir to avoid name clash with same-named global.

	* src/command.c (Pattern): Renamed from "pattern", to avoid
	multitute of compiler warnings about shadowing by locally defined
	variables of the same name.  Changed all usages of this variable,
	too.
	(command): Test for individual KEY_* macros instead of TERMINFO
	whenever one of the KEY_* macros is referenced.  This should
	reduce the TERMINFO mess a little.

	* src/find.c (read_block): Renamed from "readblock", to avoid name
	clash with QNX system function of that name.  Calls changed
	accordingly, all over the place.

	* src/display.c: Fix fall-back definition of sigjmp_buf.

	* src/constants.h: Activate TERMINFO for FreeBSD.

	* src/input.c (mygetline): New function.  Poor-man's readline
	imitation.  From SF Patch #937310.

	* src/global.h (mygetline): Prototype added.

	* src/command.c (command): Use mygetline() instead of letting
	ncsurses doing it all.  Make Ctrl-B/F special hotkeys that are
	handled here instead of in mygetline(), to preserve their meaning.

	* packages/cscope.spec: Updated by SF patch #920586 to be more
	compatible with current expectations.

2004-02-24  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in (AC_CHECK_HEADERS): Added check for NSK-Tandem
	special magic header file <floss.h>.

	* src/global.h [HAVE_FLOSS_H]: Added #include <floss.h> if it
	exists.

2004-02-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/command.c (countrefs): Fix off-by-one length specification
	of %s format.  Thanks to <anil@recoil.org> for spotting it.

2004-02-12  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Fix SF bug #892731: Ctrl-C interruption of search works only once
	per session.
	
	* configure.in (sigsetjmp): Added test for presence of this
	function.

	* src/display.c (sigsetjmp) [!HAVE_SIGSETJMP]: Provide fallback
	definitions for functions sigsetjmp, siglongjmp and type
	sigjmp_buf.
	(search): Move call to signal() above that to setjmp().  Call
	sigsetjmp() instead of setjmp().

	* configure, config.h.in: Regenerated.

	* Makefile.in, src/Makefile.in, contrib/Makefile.in,
	doc/Makefile.in, aclocal.m4: Rebuilt by automake-1.7.9.
	
	
2004-02-11  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* configure.in (signal.h) Check added.
	(sighandler_t): Check for this type.  Should be defined on POSIX
	platforms, but is treated as a GNU extension sometimes.

	* src/global.h (sighandler_t) [!HAVE_SIGHANDLER_T]: Provide
	fallback definition of function pointer typedef for signal
	handlers if <signal.h> doesn't provide it. Simplifies cscope's
	work when working on its own source code --- function pointers
	confuse it quite badly, so it's best to minimize their visibility.

	* src/input.c (mygetch): Type of local variable savesig written
	using sighandler_t.

	* src/display.c (search): Type of local variable savesig written
	using sighandler_t.

	* src/exec.c (oldsigtstp): Renamed, from oldsigstp.
	(oldsigtstp,oldsighup,oldsigquit): Changed from function pointer
	type to new typedef name sighandler_t.

2004-02-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/global.h (tolower) [BSD]: Fix stupid typo in overrides for
	toupper and tolower.

2004-01-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/display.c (clearmsg): New function.  Does essentially the
	same thing previously achieved by a rather more cryptic
	postmsg("").
	(postfatal): New function to printout a fatal error message and
	terminate the program. Works like posterr(), but exits curses
	first, so the message should end up visible after the program
	exits.  Using this instead of posterr()+myexit() fixes SF bug
	#419510.
	(dispinit): Use postfatal:().
	(postmsg): Use clearmsg().
	(postmsg2): Call curses refresh() after change.

	* src/global.h: Add prototypes for new functions clearmsg() and
	postfatal().

	* src/find.c (putsource): Use postfatal().

	* src/main.c (main, skiplist): Use postfatal() and clearmsg().

	* src/command.c (command): Use clearmsg().

	* src/build.c (build, seek_to_trailer, movefile): Use postfatal().

	* src/alloc.c (alloctest): Use postfatal().

	* src/display.c (jumpback): Re-instate signal handler, in an
	attempt to fix problems reported with the general behaviour of
	signal handlers in cscope.

	* src/scanner.l (ws, wsnl): Two new predefined patterns to catch
	not only blanks and tabs, but all generally allowed white-space
	characters in source files: form feeds, vertical tabs, carriage
	returns.  Replaced most occurence of [ \t] and [ \t\n] by these.
	This is a back-port from fscanner.l.  Should fix SF bug #508060.

Wed Oct 15 16:05:46 2003  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/dir.c (scan_dir): Don't reduce path to basename before
 	calling issrcfile.
	(issrcfile): Use either basename or full path, as necessary for
 	the individual tests.  Reorganized to reduce nesting.

Mon Sep 15 12:34:46 2003  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/egrep.y (yylex, member, egrep, cgotofn): Reindented.  Fixed
 	implicit int declarations and casts.

	* src/global.h (tolower, tolower) [BSD]: Fix override definitions
 	for these so they don't mung non-alphabetic input.

Fri Sep 12 09:33:19 2003  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/vp.h: Add #include of <sys/types.h> to fix problem on
 	Solaris.

Fri Sep 12 09:33:19 2003  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	I'm finally starting a new, GNU-format ChangeLog file.  The format
 	of the previous was too terse to be really useful.  This begins
 	with the first changes after release 15.5.
	
	* ChangeLog.old: New file.  Renamed copy of old-format ChangeLog
 	file.

	* ChangeLog: Started from scratch.

	
